User SFTP Client Uses

A UserSftpClientUse is a way to see the exact set of SFTP clients used by a given user.

List User SFTP Client Uses

Endpoint

GET/user_sftp_client_uses

Return Object

UserSftpClientUse[]

Authorization Requirement

Not available to user API keys or sessions from users that are marked as Shared/Bot users.

Request Parameters

ParameterDescription
user_id
int64
User ID. If provided, will return uses for this user.

Additional Arguments

Example Request

curl "https://app.files.com/api/rest/v1/user_sftp_client_uses.json?user_id=1" \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

[
  {
    "id": 1,
    "sftp_client": "example",
    "created_at": "2000-01-01T01:00:00Z",
    "updated_at": "2000-01-01T01:00:00Z",
    "user_id": 1
  }
]

The UserSftpClientUse Object

Some of the endpoints above return a UserSftpClientUse object. The attributes of this object are listed below.

AttributeDescription
id
int64
UserSftpClientUse ID
sftp_client
string
The SFTP client used
created_at
date-time
The earliest recorded use of this SFTP client (for this user)
updated_at
date-time
The most recent use of this SFTP client (for this user)
user_id
int64
ID of the user who performed this access

Example UserSftpClientUse Object

{
  "id": 1,
  "sftp_client": "example",
  "created_at": "2000-01-01T01:00:00Z",
  "updated_at": "2000-01-01T01:00:00Z",
  "user_id": 1
}